Fixing Jetpack Slideshow: this slideshow requires Javascript

Last Updated on December 19, 2019 by BrodNeil

When you see this instead of the slideshow that you expect: “This slideshow requires Javascript,” You can do the following:

1. Make sure that you have your wp-footer.
2. Update your javascript. jQuery Updater is a WordPress plugin to fix your slideshow, which is powered by JetPack. See the FAQs as it may also break your site.

Leave a Comment